#!/bin/bash

section=sitios_yucatan
site=diarioYucatan

for y in `seq 2012 2012`;
do
	if [ ! -d $y ]; then
	  mkdir -p $y;
	fi
	cd $y
	for m in $(seq -f "%02g" 7 7)
	do
		if [ $m -eq 1 -o $m -eq 3 -o $m -eq 5 -o $m -eq 7 -o $m -eq 8 -o $m -eq 10 -o $m -eq 12 ]; then
			for d in $(seq -f "%02g" 31 31)
			do
				scrapy crawl noticias -t json -o $y-$m-$d.json -a year=$y -a month=$m -a day=$d
				[ -s $y-$m-$d.json ] || rm $y-$m-$d.json  # revisa si el archivo contiene informacion, sino lo elimina

				if [ -e $y-$m-$d.json ]   #revisa si se generó el archivo json con las noticias
				then
					destination=$HOME/crawler/prueba/$section/$site/$y/   #ruta donde se guardarán los json generados
					
					if [ ! -d $destination ]     #si no existe la ruta de destino la crea
					then
						mkdir -p $destination
					fi
					
					mv -f $y-$m-$d.json $destination    #mueve el archivo json a la ruta de destino
				fi
			
			done
		fi
		if [ $m -eq 4 -o $m -eq 6 -o $m -eq 9 -o $m -eq 11 ]; then
			for d in $(seq -f "%02g" 1 17)
			do
				scrapy crawl noticias -t json -o $y-$m-$d.json -a year=$y -a month=$m -a day=$d
				[ -s $y-$m-$d.json ] || rm $y-$m-$d.json

				if [ -e $y-$m-$d.json ]   #revisa si se generó el archivo json con las noticias
				then
					destination=$HOME/crawler/prueba/$section/$site/$y/   #ruta donde se guardarán los json generados
					
					if [ ! -d $destination ]     #si no existe la ruta de destino la crea
					then
						mkdir -p $destination
					fi
					
					mv -f $y-$m-$d.json $destination    #mueve el archivo json a la ruta de destino
				fi

			done
		fi
		if [ $m -eq 2 ]; then
			for d in $(seq -f "%02g" 1 28)
			do
				scrapy crawl noticias -t json -o $y-$m-$d.json -a year=$y -a month=$m -a day=$d
				[ -s $y-$m-$d.json ] || rm $y-$m-$d.json

				if [ -e $y-$m-$d.json ]   #revisa si se generó el archivo json con las noticias
				then
					destination=$HOME/crawler/prueba/$section/$site/$y/   #ruta donde se guardarán los json generados
					
					if [ ! -d $destination ]     #si no existe la ruta de destino la crea
					then
						mkdir -p $destination
					fi
					
					mv -f $y-$m-$d.json $destination    #mueve el archivo json a la ruta de destino
				fi

			done
		fi
	done
	cd .. 
done